@echo off

if defined WING_PREACTIVATE_COMMAND (
call %WING_PREACTIVATE_COMMAND%
set "WING_PREACTIVATE_COMMAND="
)

if defined WING_ACTIVATE_COMMAND (
call %WING_ACTIVATE_COMMAND%
set "WING_ACTIVATE_COMMAND="
)

if not defined WING_ACTIVATE_PYTHON (
echo The WING_ACTIVATE_PYTHON environment variable must be specified
goto:eof
)

%WING_ACTIVATE_PYTHON% %* 
